
Infrastructure - Task #2904

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2881 (Closed): ESA + PARC MN upgrade

Task # 2845 (Closed): Build new ESA server on mn-ucsb-2.dataone.org 

Migrate ESA documents/data directories to new server

2012-06-10 04:24 - Ben Leinfelder

Status: Closed Start date: 2012-06-10

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Using rsync...

On mn-ucsb-2.dataone.org:

sudo chown -R leinfelder /var/esa/

sudo rm -rf /var/esa/data* /var/esa/documents/* /var/esa/temporary/* /var/esa/logs/* 

On esa:

sudo rsync -av /var/metacat/* leinfelder@mn-ucsb-2.dataone.org:/var/esa

On mn-ucsb-2:

sudo chown -R tomcat6 /var/esa/

History

#1 - 2012-06-10 05:52 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 90

The process works great.

The production data has some datapackages with garbled characters that cause XSLT processing errors, however. Hopefully we can fix these

datapackages rather than revert to Xalan (xslt1) from Saxon (xslt2)

#2 - 2012-06-10 05:55 - Ben Leinfelder

- Parent task changed from #2881 to #2845

#3 - 2012-06-14 15:22 - Ben Leinfelder

add bit to clean up test docs on new esa host

#4 - 2012-06-15 13:02 - Ben Leinfelder

- Status changed from In Progress to Closed
